This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create PrivateLink Endpoint

1 - 1.4

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

create privateLink endpoint

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.4"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

2 - 1.3

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

create privateLink endpoint

State ACTIVE (SUPPORTED)

VersionNot Before
1.320260830

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.3"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

3 - 1.2

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

create privateLink endpoint

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.220260630

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}